Skip to main content
`Ctrl`+`K`

# DMShellSetDestroyContext

set a function that destroys the context provided with `DMShellSetContext()`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetDestroyContext(DM dm, PetscErrorCode (*destroyctx)(void *))

Collective

## Input Parameters

- dm - the `DM` to attach the `destroyctx()` function to

- destroyctx - the function that destroys the context

## See Also

`DM`, `DMSHELL`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/ksp/ksp/tutorials/ex65.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages